d.title(1)

NAME
d.title - Create a TITLE for a raster map in a form suitable for display with d.text.

KEYWORDS
display, cartography

SYNOPSIS
d.title
d.title --help
d.title [-dfs] map=name [color=string] [size=float] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-d
    Draw title on current display

-f
    Do a fancier title

-s
    Do a simple title

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map

color=string
    Sets the text color
    Default: black

size=float
    Sets the text size as percentage of the frame’s height
    Options: 0-100
    Default: 4.0

DESCRIPTION
d.title generates to standard output a string which can be used by d.text to draw a TITLE for the raster map layer name in the active display frame on the graphics monitor. Output created by d.title can be redirected into a file, or piped directly into d.text to display the map TITLE created by d.title. The map TITLE created will include the map layer’s name, TITLE, MAPSET, LOCATION_NAME, geographic region boundary coordinates, and cell resolution. If the -d draw flag is used, then d.title will call d.text for you and the title will be automatically rendered to the display.

NOTES
The text created with d.text will not necessarily fit within the active display frame on the graphics monitor; the user should choose a text size appropriate to this frame.

EXAMPLES
For example, a user wishing to create a suitable TITLE for the Spearfish, SD soils map layer and to display this TITLE in the active display frame on the graphics monitor might type the following:
d.title map=soils color=red size=5 > TITLE.file
d.text < TITLE.file Alternately, the user might pipe d.title output directly into d.text:
d.title map=soils color=red size=5 | d.text

A file created by d.title can be displayed with d.text. Information contained in this file takes precedence over the color and size parameters for d.text.

SEE ALSO
d.font
d.text

AUTHOR
James Westervelt, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: d.title source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.3.dev Reference Manual